SDL_cond Struct Reference
Collaboration diagram for SDL_cond:
[legend]

## Data Fields

SDL_mutex * | lock
int | waiting
int | signals
SDL_sem * | wait_sem
SDL_sem * | wait_done
pthread_cond_t | cond
std::condition_variable_any | cpp_cond

## Detailed Description

Definition at line 31 of file SDL_syscond.c.

## Field Documentation

## cond

pthread_cond_t SDL_cond::cond

Definition at line 34 of file SDL_syscond.c.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), SDL_CondWait(), SDL_CondWaitTimeout(), SDL_CreateCond(), and SDL_DestroyCond().

## cpp_cond

std::condition_variable_any SDL_cond::cpp_cond

Definition at line 36 of file SDL_syscond.cpp.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), and SDL_CondWaitTimeout().

## lock

SDL_mutex* SDL_cond::lock

Definition at line 33 of file SDL_syscond.c.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), SDL_CondWaitTimeout(), SDL_CreateCond(), and SDL_DestroyCond().

## signals

int SDL_cond::signals

Definition at line 35 of file SDL_syscond.c.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), SDL_CondWaitTimeout(), and SDL_CreateCond().

## wait_done

SDL_sem* SDL_cond::wait_done

Definition at line 37 of file SDL_syscond.c.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), SDL_CondWaitTimeout(), SDL_CreateCond(), and SDL_DestroyCond().

## wait_sem

SDL_sem* SDL_cond::wait_sem

Definition at line 36 of file SDL_syscond.c.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), SDL_CondWaitTimeout(), SDL_CreateCond(), and SDL_DestroyCond().

## waiting

int SDL_cond::waiting

Definition at line 34 of file SDL_syscond.c.

Referenced by SDL_CondBroadcast(), SDL_CondSignal(), SDL_CondWaitTimeout(), and SDL_CreateCond().

The documentation for this struct was generated from the following files:

- src/thread/generic/SDL_syscond.c
- src/thread/stdcpp/SDL_syscond.cpp